## yoshimi 1.7.0.1

=== src/CMakeLists.txt ===
#
#   CMakeLists.txt
#
#   Copyright 2009-2011, Alan Calvert
#   Copyright 2014-2020, Will Godfrey & others
#
#   This file is part of yoshimi, which is free software: you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation, either
#   version 2 of the License, or (at your option) any later version.
#
#   yoshimi is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.

project (Yoshimi)
cmake_minimum_required (VERSION 3.0)
cmake_policy (VERSION 3.0)
cmake_policy (SET CMP0004 NEW)
if (POLICY CMP0046)
    cmake_policy (SET CMP0046 NEW)
endif() # opengl version
if (POLICY CMP0072)
    cmake_policy (SET CMP0072 OLD)
endif()
set (CMAKE_CXX_STANDARD 11) # we seem to need both for
add_definitions(-std=gnu++11) # various versions of cmake

add_definitions(-Wall)

# vvv
#add_definitions(-Wpedantic) # full ISO spec
#add_definitions(-Werror) # warnings as errors
add_definitions(-Wfatal-errors) # stop on first
add_definitions(-Werror=format-security)
add_definitions(-Wextra)
add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
# ^^^ comment these out on release pushes

set (YOSHIMI_VERSION "1.7.0.1")

add_definitions (-DMIN_CONFIG_MAJOR=1)
add_definitions (-DMIN_CONFIG_MINOR=6)

file (WRITE version.txt "${YOSHIMI_VERSION}")

set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CMAKE_USE_RELATIVE_PATHS OFF)
    # relative paths break some scripts(?)
set (CMAKE_SKIP_RULE_DEPENDENCY OFF)
    # Rebuild objects if rules have changed, even if source hasn't.

message (STATUS "Building Yoshimi version ${YOSHIMI_VERSION} for ${CMAKE_SYSTEM_NAME}")

include (CheckCSourceCompiles)
include(GNUInstallDirs)

mark_as_advanced (EXECUTABLE_OUTPUT_PATH)
mark_as_advanced (LIBRARY_OUTPUT_PATH)
mark_as_advanced (CMAKE_BUILD_TYPE)
mark_as_advanced (CMAKE_INSTALL_PREFIX)

# Check for jack session availability
check_c_source_compiles (
    "#include <jack/session.h>
    int main(int argc, char **argv)
    {
        jack_session_event_type_t x = JackSessionSave;
        return 0;
    }" HasJackSession
)

if (HasJackSession)
    option (JackSessionSupport "Include Jack Session Support" ON)
else()
    set (JackSessionSupport OFF)
endif()

option (BuildFor0ld_X86 "Build for legacy x86 system" OFF)

option (BuildForAMD_X86_64 "Build for AMD x86_64 system" OFF)
option (BuildForCore2_X86_64 "Build for Intel Core2 x86_64 system" OFF)
option (BuildForRasPi4 "Build for ARM Cortex A9 system" OFF)
option (BuildForThisCPU "Build for presently running system" OFF)
option (BuildForDebug "Debug build without optimisation. Enable gdb debugging support" OFF)

option (BuildWithFLTK "Build with FLTK GUI" ON)

#option to build lv2 plugin
option (LV2Plugin "Build yoshimi lv2 plugin interface" ON)

# developer info
option (ShowNoteOnTimes "Report Note-On Times" OFF)
option (ReportNotes "Report Notes On/Off" OFF)


set (BuildOptions_X86
    "-msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer"
    CACHE STRING "basic X86 compiler options"
)

set (BuildOptions_X86_64AMD
    "-march=athlon64 -m64 -Wall -msse -msse2 -mfpmath=sse -ffast-math -fno-finite-math-only -fomit-frame-pointer"
    CACHE STRING "X86_64 compiler options"
)

set (BuildOptions_X86_64Core2
    "-march=core2 -m64 -Wall -msse -msse2 -mfpmath=sse -ffast-math -fno-finite-math-only -fomit-frame-pointer"
    CACHE STRING "X86_64 compiler options"
)

set (BuildOptions_RasPi4
    "-march=native -mfloat-abi=hard -mfpu=vfp -mcpu=cortex-a72 -mtune=cortex-a72 -pipe -mvectorize-with-neon-quad -funsafe-loop-optimizations"
    CACHE STRING "Raspberry Pi V4 compiler options"
)

set (BuildOptionsThisCPU
    "-march=native -mtune=native -Wall"
    CACHE STRING "Current CPU compiler options"
)

set (BuildOptionsBasic
    "-ffast-math -fomit-frame-pointer"
    CACHE STRING "basic compilier options"
)

set (BuildOptionsDebug
    "-O0 -g3 -ggdb -Wpointer-arith -Wpedantic -Wextra" CACHE STRING "Compile without optimisation and with debug information")
set (BuildOptionsRelease
    "-O3" CACHE STRING "Compile with optimisation for Release builds")

if (BuildWithFLTK)
    add_definitions (-DGUI_FLTK)
endif()

find_package (PkgConfig REQUIRED)

include (CheckFunctionExists)

check_function_exists(exp10f EXP10F)

if(EXP10F)
    add_definitions(-DHAVE_EXP10F)
endif()

check_c_source_compiles (
    "#include <argp.h>
    #include <stdlib.h>
    int main () {
        int argc=1;
        char *argv[]={\"test\"};
        argp_parse(0,argc,argv,0,0,0);
        return 0;
    }" LIBC_HAS_ARGP
)

if (NOT LIBC_HAS_ARGP)
    message(STATUS "libc does not have argp")
    find_library (ARGP_LIB argp REQUIRED)
endif()

# libz
find_package(ZLIB REQUIRED)

# fftw3f
pkg_check_modules (FFTW3F REQUIRED fftw3f>=0.22)

# mxml
pkg_check_modules (MXML REQUIRED mxml>=2.5)

# Alsa
if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    pkg_check_modules (ALSA REQUIRED alsa>=1.0.17)
    add_definitions(-DHAVE_ALSA)
    FIND_LIBRARY(LIBDL_LINUX NAMES dl)
else()

endif()

# Jack
pkg_check_modules (JACK REQUIRED jack>=0.115.6)

# fontconfig
pkg_check_modules (FONTCONFIG REQUIRED fontconfig>=0.22)
mark_as_advanced(FONTCONFIG_LIBRARIES)


if (BuildWithFLTK)
# libcairo
    pkg_check_modules (LIBCAIRO REQUIRED cairo)

# fltk
    find_package (FLTK REQUIRED)
    mark_as_advanced (FLTK_DIR)
    mark_as_advanced (FLTK_FLUID_EXECUTABLE)
    mark_as_advanced (FLTK_MATH_LIBRARY)
endif()


# libncurses / libcursesw
set(CURSES_NEED_NCURSES TRUE)
find_package (Curses REQUIRED)

find_path(Readline_ROOT_DIR
    NAMES include/readline/readline.h
)

find_path(Readline_INCLUDE_DIR
    NAMES readline/readline.h
    HINTS ${Readline_ROOT_DIR}/include
)

find_library(Readline_LIBRARY
    NAMES readline
    HINTS ${Readline_ROOT_DIR}/lib
)

#find_package(PkgConfig REQUIRED)
if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND CURSES_LIBRARY)
    set(READLINE_FOUND TRUE)
else()
    FIND_LIBRARY(Readline_LIBRARY NAMES readline)
    include(FindPackageHandleStandardArgs)
    FIND_PACKAGE_HANDLE_STANDARD_ARGS(Readline DEFAULT_MSG Readline_INCLUDE_DIR Readline_LIBRARY )
    MARK_AS_ADVANCED(Readline_INCLUDE_DIR Readline_LIBRARY)
endif()

mark_as_advanced(
    Readline_ROOT_DIR
    Readline_INCLUDE_DIR
    Readline_LIBRARY
)

if(READLINE_FOUND)
    message (STATUS "Readline library found" )
else()
    message( FATAL_ERROR "Readline library not found! Please install development components (libreadline-dev)" )
endif()

# set platform specific compiler flags
if (BuildFor0ld_X86)
    set (OurCxxFlags ${BuildOptions_X86})
elseif (BuildForAMD_X86_64)
    set (OurCxxFlags ${BuildOptions_X86_64AMD})
elseif (BuildForCore2_X86_64)
    set (OurCxxFlags ${BuildOptions_X86_64Core2})
elseif (BuildForNEON)
    set (OurCxxFlags ${BuildOptions_NEON})
elseif (BuildForThisCPU)
    set (OurCxxFlags ${BuildOptionsThisCPU})
else()
    set (OurCxxFlags ${BuildOptionsBasic})
endif()
set (CMAKE_CXX_FLAGS "${OurCxxFlags} ${CMAKE_CXX_FLAGS}")

if (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Debug")
    set (CMAKE_CXX_FLAGS_DEBUG ${BuildOptionsDebug})
    message (STATUS "DEBUG Build, flags: ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG}")
else()
    set (CMAKE_BUILD_TYPE "Release")
    set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsRelease})
    message (STATUS "RELEASE Build, flags: ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE}")
endif()

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/../desktop/yoshimi.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/yoshimi.desktop"
    IMMEDIATE @ONLY)

set (DSP_sources
    DSP/FFTwrapper.cpp  DSP/AnalogFilter.cpp  DSP/FormantFilter.cpp
    DSP/SVFilter.cpp  DSP/Filter.cpp  DSP/Unison.cpp
)

set (Effects_sources
    Effects/Alienwah.cpp  Effects/Chorus.cpp  Effects/Echo.cpp
    Effects/EffectLFO.cpp  Effects/EffectMgr.cpp  Effects/Effect.cpp
    Effects/Phaser.cpp  Effects/Reverb.cpp  Effects/EQ.cpp
    Effects/Distorsion.cpp  Effects/DynamicFilter.cpp
)

set (Misc_sources
    Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Splash.cpp
    Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/WavFile.cpp
)

set (Interface_Sources
    Interface/InterChange.cpp
    Interface/Data2Text.cpp
    Interface/MidiLearn.cpp
    Interface/MidiDecode.cpp
    Interface/RingBuffer.cpp
    Interface/TextLists.h
)

set (CLI_Sources
    CLI/CmdInterface.cpp
    #CLI/ConfigCLI.cpp
    CLI/CmdInterpreter.cpp
)

set (Params_sources
    Params/ADnoteParameters.cpp  Params/EnvelopeParams.cpp
    Params/FilterParams.cpp  Params/LFOParams.cpp
    Params/SUBnoteParameters.cpp  Params/PADnoteParameters.cpp
    Params/Controller.cpp  Params/Presets.cpp
    Params/PresetsStore.cpp  Params/UnifiedPresets.cpp
    Params/OscilParameters.cpp
)

set (Synth_sources
    Synth/ADnote.cpp  Synth/Envelope.cpp  Synth/LFO.cpp  Synth/OscilGen.cpp
    Synth/SUBnote.cpp  Synth/Resonance.cpp  Synth/PADnote.cpp
)

set (MusicIO_sources
    MusicIO/MusicClient.cpp  MusicIO/MusicIO.cpp  MusicIO/JackEngine.cpp
    MusicIO/AlsaEngine.cpp
)

if (BuildWithFLTK)
    set (FltkUI_names
        "PresetsUI" "EnvelopeUI"
        "LFOUI" "FilterUI" "VirKeyboardUI"
        "ConfigUI" "SUBnoteUI" "ResonanceUI"
        "OscilGenUI" "ADnoteUI" "PADnoteUI"
        "EffUI" "BankUI" "PartUI"
        "MicrotonalUI" "MasterUI" "MasterMiscUI"
        "ParametersUI" "ConsoleUI" "VectorUI"
        "MidiLearnUI"
    )

# workaround fltk_wrap_ui breakage
    set (FltkUI_sources)
    set (FltkUI_headers)
    foreach(basename ${FltkUI_names})
        set (fluidfile "${CMAKE_CURRENT_SOURCE_DIR}/UI/${basename}.fl")
        set (sourcefile "${basename}.cpp")
        set (headerfile "${basename}.h")
        add_custom_command(
            OUTPUT ${sourcefile}
            COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${fluidfile}
            DEPENDS ${fluidfile}
        )
        set (FltkUI_sources ${FltkUI_sources} "${sourcefile}")
        set (FltkUI_headers ${FltkUI_headers} "${headerfile}")
    endforeach(basename ${FltkUI_names})

    set (FltkUI_sources
        ${FltkUI_sources}
        UI/DynamicTooltip.cpp
        UI/WidgetPDial.cpp
        UI/WidgetMWSlider.cpp
        UI/MiscGui.cpp
    )
    set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})
endif()

add_definitions (
    -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
    -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
    -DYOSHI_FIFO_DIR="${FifoDirectory}"
)

add_definitions (-DYOSHIMI="yoshimi")

if (ShowNoteOnTimes)
    add_definitions (-DREPORT_NOTEON)
endif()

if (ReportNotes)
    add_definitions (-DREPORT_NOTES_ON_OFF)
endif()

add_definitions(-DDEFAULT_AUDIO=jack_audio)

add_definitions(-DDEFAULT_MIDI=jack_midi)

if (JackSessionSupport)
    message(STATUS "With jack session support")
    add_definitions(-DJACK_SESSION)
else()
    message(STATUS "Without jack session support")
endif()

# Check for jack latency API >= 0.120.1
check_c_source_compiles (
    "#include <jack/jack.h>
    int main(int argc, char **argv)
    {
        if (jack_set_latency_callback)
            return 0;
        else
            return 1;
    }" HasJackLatency
)

if (HasJackLatency)
    add_definitions(-DJACK_LATENCY)
endif()

set (ProgSources
    ${Interface_Sources}
    ${CLI_Sources}
    ${Misc_sources}
    ${Params_sources}
    ${Synth_sources}
    ${DSP_sources}
    ${Effects_sources}
    ${MusicIO_sources}
    ${FltkUI_sources}
)

include_directories (AFTER
    ${MXML_INCLUDE_DIRS}
    ${ALSA_INCLUDE_DIRS}
    ${JACK_INCLUDE_DIRS}
    ${FONTCONFIG_INCLUDE_DIRS}
    ${FLTK_INCLUDE_DIR}
    ${FFTW3F_INCLUDE_DIRS}
    ${LIBCAIRO_INCLUDE_DIRS}
    ${Readline_INCLUDE_DIR}
    ${ZLIB_INCLUDE_DIRS}
)

set(ExternLibraries
    ${FONTCONFIG_LIBRARIES}
    ${FLTK_LIBRARIES}

=== src/LV2_Plugin/CMakeLists.txt ===
#
#   CMakeLists.txt (LV2)
#
#   Copyright 2014, Andrew Deryabin <andrewderyabin@gmail.com>
#
#   This file is part of yoshimi, which is free software: you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation, either
#   version 2 of the License, or (at your option) any later version.
#
#   yoshimi is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.

file (GLOB yoshimi_lv2_plugin_files
        YoshimiLV2Plugin.cpp
        YoshimiLV2Plugin.h
        lv2extui.h
        lv2extprg.h)
file (GLOB yoshimi_dsp_files
    ../DSP/FFTwrapper.cpp  ../DSP/AnalogFilter.cpp  ../DSP/FormantFilter.cpp
    ../DSP/SVFilter.cpp  ../DSP/Filter.cpp  ../DSP/Unison.cpp
    ../DSP/FFTwrapper.h  ../DSP/AnalogFilter.h  ../DSP/FormantFilter.h
    ../DSP/SVFilter.h  ../DSP/Filter.h  ../DSP/Unison.h)
file (GLOB yoshimi_effects_files
    ../Effects/Alienwah.cpp  ../Effects/Chorus.cpp  ../Effects/Echo.cpp
    ../Effects/EffectLFO.cpp  ../Effects/EffectMgr.cpp  ../Effects/Effect.cpp
    ../Effects/Phaser.cpp  ../Effects/Reverb.cpp  ../Effects/EQ.cpp
    ../Effects/Distorsion.cpp  ../Effects/DynamicFilter.cpp
    ../Effects/Alienwah.h  ../Effects/Chorus.h  ../Effects/Echo.h
    ../Effects/EffectLFO.h  ../Effects/EffectMgr.h  ../Effects/Effect.h
    ../Effects/Phaser.h  ../Effects/Reverb.h  ../Effects/EQ.h
    ../Effects/Distorsion.h  ../Effects/DynamicFilter.h)
file (GLOB yoshimi_misc_files
    ../Misc/Config.cpp ../Misc/Config.h ../ConfBuild.h
    ../Misc/SynthEngine.cpp  ../Misc/Bank.cpp  ../Misc/Microtonal.cpp
    ../Misc/Part.cpp  ../Misc/XMLwrapper.cpp  ../Misc/WavFile.cpp
    ../Misc/SynthEngine.h  ../Misc/Bank.h  ../Misc/Microtonal.h
    ../Misc/Part.h  ../Misc/XMLwrapper.h  ../Misc/WavFile.h)
file (GLOB yoshimi_interface_files
    ../Interface/MidiDecode.cpp ../Interface/MidiDecode.h
    ../Interface/InterChange.cpp ../Interface/InterChange.h
    ../Interface/Data2Text.cpp ../Interface/Data2text.h
    ../Interface/RingBuffer.cpp
    ../Interface/MidiLearn.cpp ../Interface/MidiLearn.h
    ../UI/MiscGui.cpp ../UI/MiscGui.h)
file (GLOB yoshimi_params_files
    ../Params/ADnoteParameters.cpp  ../Params/EnvelopeParams.cpp
    ../Params/FilterParams.cpp  ../Params/LFOParams.cpp
    ../Params/SUBnoteParameters.cpp  ../Params/PADnoteParameters.cpp
    ../Params/Controller.cpp  ../Params/Presets.cpp ../Params/PresetsStore.cpp
    ../Params/ADnoteParameters.h  ../Params/EnvelopeParams.h
    ../Params/FilterParams.h  ../Params/LFOParams.h
    ../Params/SUBnoteParameters.h  ../Params/PADnoteParameters.h
    ../Params/OscilParameters.cpp ../Params/OscilParameters.h
    ../Params/Controller.h  ../Params/Presets.h ../Params/PresetsStore.h)
file (GLOB yoshimi_synth_files
    ../Synth/ADnote.cpp  ../Synth/Envelope.cpp  ../Synth/LFO.cpp  ../Synth/OscilGen.cpp
    ../Synth/SUBnote.cpp  ../Synth/Resonance.cpp  ../Synth/PADnote.cpp
    ../Synth/ADnote.h  ../Synth/Envelope.h  ../Synth/LFO.h  ../Synth/OscilGen.h
    ../Synth/SUBnote.h  ../Synth/Resonance.h  ../Synth/PADnote.h
    ../Synth/BodyDisposal.h)
file (GLOB yoshimi_musicio_files
    ../MusicIO/MusicIO.cpp ../MusicIO/MusicIO.h)
file (GLOB yoshimi_manifest_ttl
    manifest.ttl)
file (GLOB yoshimi_plugin_ttl
    yoshimi.ttl)

set (FltkUI_names
    "PresetsUI"  "EnvelopeUI"
    "LFOUI"  "FilterUI"  "VirKeyboardUI"
    "ConfigUI"  "SUBnoteUI"  "ResonanceUI"
    "OscilGenUI"  "ADnoteUI"  "PADnoteUI"
    "EffUI"  "BankUI"  "PartUI"
    "MicrotonalUI"  "MasterUI" "MasterMiscUI"
    "ParametersUI" "ConsoleUI" "VectorUI"
    "MidiLearnUI"
)

# workaround fltk_wrap_ui breakage
set (FltkUI_sources)
set (FltkUI_headers)
foreach(basename ${FltkUI_names})
    set (fluidfile "${CMAKE_CURRENT_SOURCE_DIR}/../UI/${basename}.fl")
    set (sourcefile "${basename}.cpp")
    set (headerfile "${basename}.h")
    add_custom_command(
        OUTPUT ${sourcefile}
        COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${fluidfile}
        DEPENDS ${fluidfile}
    )
    set (FltkUI_sources ${FltkUI_sources} "${sourcefile}")
    set (FltkUI_headers ${FltkUI_headers} "${headerfile}")
endforeach(basename ${FltkUI_names})

set (FltkUI_sources
    ${FltkUI_sources}
    ../UI/DynamicTooltip.cpp
    ../UI/WidgetPDial.cpp
    ../UI/WidgetMWSlider.cpp
)

add_definitions (-DYOSHIMI_LV2_PLUGIN=1)

add_library (yoshimi_lv2 MODULE
            ${yoshimi_lv2_plugin_files}
            ${yoshimi_manifest_ttl}
            ${yoshimi_plugin_ttl}
            ${yoshimi_dsp_files}
            ${yoshimi_effects_files}
            ${yoshimi_misc_files}
            ${yoshimi_interface_files}
            ${yoshimi_params_files}
            ${yoshimi_synth_files}
            ${yoshimi_musicio_files}
            ${FltkUI_sources})

add_custom_target(yoshimi_lv2_ttl
                   COMMAND test -f ${yoshimi_manifest_ttl}
                   COMMAND test -f ${yoshimi_plugin_ttl})

SET_TARGET_PROPERTIES(yoshimi_lv2 PROPERTIES PREFIX "")
include_directories (AFTER
                            ${LV2_INCLUDE_DIRS}
                            ${FLTK_INCLUDE_DIR}
                            ${MXML_INCLUDE_DIRS}
                            ${FONTCONFIG_INCLUDE_DIRS}
                            ${FFTW3F_INC_DIR}
                            ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_SOURCE_DIR})

target_link_libraries(yoshimi_lv2
                      ${LV2_LIBRARIES}
                      ${FLTK_LIBRARIES}
                      ${MXML_LIBRARIES}
                      ${LIBSNDFILE_LIBRARIES}
                      ${FFTW3F_LIBRARIES}
                      ${LIBCAIRO_LIBRARIES}
                      ${JACK_LIBRARIES}
                      z
                      ${LIBDL_LINUX_LIBS}
)

add_dependencies(yoshimi_lv2 yoshimi_lv2_ttl)

install (TARGETS yoshimi_lv2 DESTINATION ${LV2_INSTALL_DIR}/yoshimi.lv2)
install (FILES ${yoshimi_manifest_ttl} ${yoshimi_plugin_ttl}
  DESTINATION ${LV2_INSTALL_DIR}/yoshimi.lv2
)

set_directory_properties(PROPERTY ADDITIONAL_MAKE_CLEAN_FILES "${FltkUI_headers}")

=== debian/changelog ===
yoshimi (1.7.0.1-1) unstable; urgency=medium

  * New upstream version 1.7.0.1
  * d/control:
    + Bump Standards-Version to 4.5.0
    + Add me as uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:15:53 +0100

yoshimi (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.7.0
    * Drop patches applied upstream
  * Remove trailing whitespace from d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jan 2020 22:29:27 +0100

yoshimi (1.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.1
  * d/copyright:
    + Change license for desktop/metainfo/* and Util/YoshimiSplash.svg to CC-BY-4.0
  * Fix license name of yoshimi.appdata.xml to make lintian happy

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 22 Dec 2019 00:41:11 +0100

yoshimi (1.6.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Declare that building this package does not require "root" powers

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + add myself)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Nov 2019 11:21:05 +0100

yoshimi (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Olivier Humbert ]
  * Update d/copyright to 2019

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches (and remove those included upstream)
  * Update dependencies
  * Install examples
  * Install all docs
  * Exclude more false-positives from lintian spelling check
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 01 Sep 2019 17:22:18 +0200

=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 dssi-dev,
 fluid,
 libasound2-dev,
 libboost-dev,
 libcairo2-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev,
 libmxml-dev,
 libncurses5-dev,
 libreadline-dev,
 libx11-dev,
 libxext-dev,
 lv2-dev,
 pkg-config,
 sharutils,
 zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi
Homepage: https://yoshimi.sourceforge.io

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd,
 yoshimi-doc,
Description: software synthesizer originally based on ZynAddSubFX2
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.

Package: yoshimi-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides banks and presets for Yoshimi.

Package: yoshimi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Documentation for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides documentation for Yoshimi.

## yoshimi 1.7.2~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,10 +23,10 @@
 cmake_policy (SET CMP0004 NEW)
 if (POLICY CMP0046)
     cmake_policy (SET CMP0046 NEW)
-endif() # opengl version
+endif () # opengl version
 if (POLICY CMP0072)
     cmake_policy (SET CMP0072 OLD)
-endif()
+endif ()
 set (CMAKE_CXX_STANDARD 11) # we seem to need both for
 add_definitions(-std=gnu++11) # various versions of cmake
 
@@ -35,13 +35,13 @@
 # vvv
 #add_definitions(-Wpedantic) # full ISO spec
 #add_definitions(-Werror) # warnings as errors
-add_definitions(-Wfatal-errors) # stop on first
-add_definitions(-Werror=format-security)
-add_definitions(-Wextra)
+#add_definitions(-Wfatal-errors) # stop on first
+#add_definitions(-Werror=format-security)
+#add_definitions(-Wextra)
 add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "1.7.0.1")
+set (YOSHIMI_VERSION "1.7.2")
 
 add_definitions (-DMIN_CONFIG_MAJOR=1)
 add_definitions (-DMIN_CONFIG_MINOR=6)
@@ -78,7 +78,7 @@
     option (JackSessionSupport "Include Jack Session Support" ON)
 else()
     set (JackSessionSupport OFF)
-endif()
+endif ()
 
 option (BuildFor0ld_X86 "Build for legacy x86 system" OFF)
 
@@ -135,7 +135,7 @@
 
 if (BuildWithFLTK)
     add_definitions (-DGUI_FLTK)
-endif()
+endif ()
 
 find_package (PkgConfig REQUIRED)
 
@@ -143,9 +143,9 @@
 
 check_function_exists(exp10f EXP10F)
 
-if(EXP10F)
+if (EXP10F)
     add_definitions(-DHAVE_EXP10F)
-endif()
+endif ()
 
 check_c_source_compiles (
     "#include <argp.h>
@@ -161,7 +161,7 @@
 if (NOT LIBC_HAS_ARGP)
     message(STATUS "libc does not have argp")
     find_library (ARGP_LIB argp REQUIRED)
-endif()
+endif ()
 
 # libz
 find_package(ZLIB REQUIRED)
@@ -173,13 +173,13 @@
 pkg_check_modules (MXML REQUIRED mxml>=2.5)
 
 # Alsa
-if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
+if ("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
     pkg_check_modules (ALSA REQUIRED alsa>=1.0.17)
     add_definitions(-DHAVE_ALSA)
     FIND_LIBRARY(LIBDL_LINUX NAMES dl)
 else()
 
-endif()
+endif ()
 
 # Jack
 pkg_check_modules (JACK REQUIRED jack>=0.115.6)
@@ -198,7 +198,7 @@
     mark_as_advanced (FLTK_DIR)
     mark_as_advanced (FLTK_FLUID_EXECUTABLE)
     mark_as_advanced (FLTK_MATH_LIBRARY)
-endif()
+endif ()
 
 
 # libncurses / libcursesw
@@ -220,14 +220,14 @@
 )
 
 #find_package(PkgConfig REQUIRED)
-if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND CURSES_LIBRARY)
+if (Readline_INCLUDE_DIR AND Readline_LIBRARY AND CURSES_LIBRARY)
     set(READLINE_FOUND TRUE)
 else()
     FIND_LIBRARY(Readline_LIBRARY NAMES readline)
     include(FindPackageHandleStandardArgs)
     FIND_PACKAGE_HANDLE_STANDARD_ARGS(Readline DEFAULT_MSG Readline_INCLUDE_DIR Readline_LIBRARY )
     MARK_AS_ADVANCED(Readline_INCLUDE_DIR Readline_LIBRARY)
-endif()
+endif ()
 
 mark_as_advanced(
     Readline_ROOT_DIR
@@ -235,11 +235,11 @@
     Readline_LIBRARY
 )
 
-if(READLINE_FOUND)
+if (READLINE_FOUND)
     message (STATUS "Readline library found" )
 else()
     message( FATAL_ERROR "Readline library not found! Please install development components (libreadline-dev)" )
-endif()
+endif ()
 
 # set platform specific compiler flags
 if (BuildFor0ld_X86)
@@ -254,7 +254,7 @@
     set (OurCxxFlags ${BuildOptionsThisCPU})
 else()
     set (OurCxxFlags ${BuildOptionsBasic})
-endif()
+endif ()
 set (CMAKE_CXX_FLAGS "${OurCxxFlags} ${CMAKE_CXX_FLAGS}")
 
 if (BuildForDebug)
@@ -265,7 +265,7 @@
     set (CMAKE_BUILD_TYPE "Release")
     set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsRelease})
     message (STATUS "RELEASE Build, flags: ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE}")
-endif()
+endif ()
 
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/../desktop/yoshimi.desktop.in"
@@ -359,7 +359,7 @@
         UI/MiscGui.cpp
     )
     set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})
-endif()
+endif ()
 
 add_definitions (
     -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
@@ -371,11 +371,11 @@
 
 if (ShowNoteOnTimes)
     add_definitions (-DREPORT_NOTEON)
-endif()
+endif ()
 
 if (ReportNotes)
     add_definitions (-DREPORT_NOTES_ON_OFF)
-endif()
+endif ()
 
 add_definitions(-DDEFAULT_AUDIO=jack_audio)
 
@@ -386,7 +386,7 @@
     add_definitions(-DJACK_SESSION)
 else()
     message(STATUS "Without jack session support")
-endif()
+endif ()
 
 # Check for jack latency API >= 0.120.1
 check_c_source_compiles (
@@ -402,7 +402,7 @@
 
 if (HasJackLatency)
     add_definitions(-DJACK_LATENCY)
-endif()
+endif ()
 
 set (ProgSources
     ${Interface_Sources}
@@ -430,4 +430,3 @@
 
 set(ExternLibraries
     ${FONTCONFIG_LIBRARIES}
-    ${FLTK_LIBRARIES}

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -141,7 +141,6 @@
                       ${LIBSNDFILE_LIBRARIES}
                       ${FFTW3F_LIBRARIES}
                       ${LIBCAIRO_LIBRARIES}
-                      ${JACK_LIBRARIES}
                       z
                       ${LIBDL_LINUX_LIBS}
 )

=== debian/changelog ===
yoshimi (1.7.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.2~dfsg0
  * Drop patch, applied by upstream

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 17 Aug 2020 20:38:58 +0200

yoshimi (1.7.1~dfsg0-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix LV2 types (Closes: #960221)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 May 2020 22:32:17 +0200

yoshimi (1.7.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.1~dfsg0
    + Make the package dfsg compatible, strip out a unfree svg
  * Bump dh-compat to 13
  * d/copyright: Update files and years
  * d/upstream/metadata: Provide metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 23:54:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
  dssi-dev,
  fluid,

## yoshimi 1.7.3~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,10 +38,10 @@
 #add_definitions(-Wfatal-errors) # stop on first
 #add_definitions(-Werror=format-security)
 #add_definitions(-Wextra)
-add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
+#add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "1.7.2")
+set (YOSHIMI_VERSION "1.7.3")
 
 add_definitions (-DMIN_CONFIG_MAJOR=1)
 add_definitions (-DMIN_CONFIG_MINOR=6)

=== debian/changelog ===
yoshimi (1.7.3~dfsg0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Dec 2020 14:03:20 -0800

yoshimi (1.7.3~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.3~dfsg0
  * Add a superficial autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 01 Nov 2020 23:04:52 +0100

=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>,
           Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dssi-dev,
               fluid,
               libasound2-dev,
               libboost-dev,
               libcairo2-dev,
               libfftw3-dev,
               libfltk1.3-dev,
               libfontconfig1-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libjack-dev,
               libmxml-dev,
               libncurses5-dev,
               libreadline-dev,
               libx11-dev,
               libxext-dev,
               lv2-dev,
               pkg-config,
               sharutils,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi
Homepage: https://yoshimi.sourceforge.io

Package: yoshimi
Architecture: any
Depends: yoshimi-data (= ${source:Version}),
         jackd,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: yoshimi-doc
Description: software synthesizer originally based on ZynAddSubFX2
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.

Package: yoshimi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides banks and presets for Yoshimi.

Package: yoshimi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: yoshimi
Description: Documentation for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides documentation for Yoshimi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LV2_PATH = /usr/lib/lv2

%:
	dh $@ --sourcedirectory=src

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Test-Command: yoshimi -Ci &
Depends: @
Restrictions: allow-stderr, superficial

## yoshimi 1.7.4~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 #add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "1.7.3")
+set (YOSHIMI_VERSION "1.7.4")
 
 add_definitions (-DMIN_CONFIG_MAJOR=1)
 add_definitions (-DMIN_CONFIG_MINOR=6)

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #   CMakeLists.txt (LV2)
 #
 #   Copyright 2014, Andrew Deryabin <andrewderyabin@gmail.com>
+#   Copyright 2018-2020 Will Godfrey & others
 #
 #   This file is part of yoshimi, which is free software: you can
 #   redistribute it and/or modify it under the terms of the GNU General

=== debian/changelog ===
yoshimi (1.7.4~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.4~dfsg0
  * Bump S-V to 4.5.1, no changes needed
  * Add libjack-jackd2-dev as B-D and libjack-dev as optional
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 15 Jan 2021 00:50:50 +0100

=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dssi-dev,
 fluid,
 libasound2-dev,
 libboost-dev,
 libcairo2-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-jackd2-dev | libjack-dev,
 libmxml-dev,
 libncurses5-dev,
 libreadline-dev,
 libx11-dev,
 libxext-dev,
 lv2-dev,
 pkg-config,
 sharutils,
 zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi
Homepage: https://yoshimi.sourceforge.io

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd,
 yoshimi-doc,
Description: software synthesizer originally based on ZynAddSubFX2
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.

Package: yoshimi-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides banks and presets for Yoshimi.

Package: yoshimi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Documentation for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides documentation for Yoshimi.

=== debian/tests/control ===
# Run yoshimi without gui in command line interface
Test-Command: yoshimi -Ci &
Depends: @
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg0.*//,repacksuffix=~dfsg0" \
https://github.com/Yoshimi/yoshimi/releases .*/v?(\d[\d\.]+)\.tar\.gz

## yoshimi 2.0~dfsg0

=== debian/changelog ===
yoshimi (2.0~dfsg0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Apr 2021 23:45:14 -0400

yoshimi (2.0~dfsg0-1) experimental; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.0~dfsg0
  * Remove unnecessary ldflags from d/rules
  * Bump d/copyright year
  * Update yoshimi.lintian-overrides

  [ Mattia Rizzolo ]
  * Remove unused build-dependency on liboost-dev.

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Mar 2021 22:08:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yoshimi
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -11,7 +12,6 @@
  dssi-dev,
  fluid,
  libasound2-dev,
- libboost-dev,
  libcairo2-dev,
  libfftw3-dev,
  libfltk1.3-dev,

## yoshimi 2.1.0~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #   CMakeLists.txt
 #
 #   Copyright 2009-2011, Alan Calvert
-#   Copyright 2014-2020, Will Godfrey & others
+#   Copyright 2014-2021, Will Godfrey & others
 #
 #   This file is part of yoshimi, which is free software: you can
 #   redistribute it and/or modify it under the terms of the GNU General
@@ -41,10 +41,10 @@
 #add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "1.7.4")
-
-add_definitions (-DMIN_CONFIG_MAJOR=1)
-add_definitions (-DMIN_CONFIG_MINOR=6)
+set (YOSHIMI_VERSION "2.1.0")
+
+add_definitions (-DMIN_CONFIG_MAJOR=2)
+add_definitions (-DMIN_CONFIG_MINOR=0)
 
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
@@ -294,7 +294,7 @@
     Interface/Data2Text.cpp
     Interface/MidiLearn.cpp
     Interface/MidiDecode.cpp
-    Interface/RingBuffer.cpp
+    Interface/RingBuffer.h
     Interface/TextLists.h
 )
 
@@ -355,7 +355,10 @@
         ${FltkUI_sources}
         UI/DynamicTooltip.cpp
         UI/WidgetPDial.cpp
+        UI/WidgetCheckButton.cpp
+        UI/WidgetSpinner.cpp
         UI/WidgetMWSlider.cpp
+        UI/YoshiWin.cpp
         UI/MiscGui.cpp
     )
     set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})
@@ -376,10 +379,6 @@
 if (ReportNotes)
     add_definitions (-DREPORT_NOTES_ON_OFF)
 endif ()
-
-add_definitions(-DDEFAULT_AUDIO=jack_audio)
-
-add_definitions(-DDEFAULT_MIDI=jack_midi)
 
 if (JackSessionSupport)
     message(STATUS "With jack session support")

=== debian/changelog ===
yoshimi (2.1.0~dfsg0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 16:06:17 -0400

yoshimi (2.1.0~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.0~dfsg0
  * Bump Standards-Version to 4.6.0
  * Update patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 24 Aug 2021 23:42:24 +0200

yoshimi (2.0.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.0.2~dfsg0
  * Remove non-existent src/Interface/RingBuffer.cpp from d/copyright
  * Update doc-base, use html manual instead of pdf, for now
  * Update lintian-overrides
  * Remove the cc logo, to fix privacy breach in index.html of doc files

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Aug 2021 20:20:56 +0200

yoshimi (2.0.1~dfsg0-1) experimental; urgency=medium

  * New upstream version 2.0.1~dfsg0

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 29 Apr 2021 21:32:52 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  pkg-config,
  sharutils,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi

## yoshimi 2.1.1.1~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 #add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "2.1.0")
+set (YOSHIMI_VERSION "2.1.1.1")
 
 add_definitions (-DMIN_CONFIG_MAJOR=2)
 add_definitions (-DMIN_CONFIG_MINOR=0)
@@ -285,8 +285,9 @@
 )
 
 set (Misc_sources
-    Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Splash.cpp
-    Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/WavFile.cpp
+    Misc/CmdOptions.cpp  Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp
+    Misc/Splash.cpp  Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp
+    Misc/WavFile.cpp
 )
 
 set (Interface_Sources
@@ -428,4 +429,3 @@
 )
 
 set(ExternLibraries
-    ${FONTCONFIG_LIBRARIES}

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #   CMakeLists.txt (LV2)
 #
 #   Copyright 2014, Andrew Deryabin <andrewderyabin@gmail.com>
-#   Copyright 2018-2020 Will Godfrey & others
+#   Copyright 2018-2021, Will Godfrey & others
 #
 #   This file is part of yoshimi, which is free software: you can
 #   redistribute it and/or modify it under the terms of the GNU General
@@ -37,7 +37,7 @@
     ../Effects/Phaser.h  ../Effects/Reverb.h  ../Effects/EQ.h
     ../Effects/Distorsion.h  ../Effects/DynamicFilter.h)
 file (GLOB yoshimi_misc_files
-    ../Misc/Config.cpp ../Misc/Config.h ../ConfBuild.h
+    ../Misc/Config.cpp ../Misc/Config.h ../Misc/ConfBuild.h
     ../Misc/SynthEngine.cpp  ../Misc/Bank.cpp  ../Misc/Microtonal.cpp
     ../Misc/Part.cpp  ../Misc/XMLwrapper.cpp  ../Misc/WavFile.cpp
     ../Misc/SynthEngine.h  ../Misc/Bank.h  ../Misc/Microtonal.h
@@ -46,7 +46,7 @@
     ../Interface/MidiDecode.cpp ../Interface/MidiDecode.h
     ../Interface/InterChange.cpp ../Interface/InterChange.h
     ../Interface/Data2Text.cpp ../Interface/Data2text.h
-    ../Interface/RingBuffer.cpp
+    ../Interface/RingBuffer.h
     ../Interface/MidiLearn.cpp ../Interface/MidiLearn.h
     ../UI/MiscGui.cpp ../UI/MiscGui.h)
 file (GLOB yoshimi_params_files
@@ -104,9 +104,13 @@
     ../UI/DynamicTooltip.cpp
     ../UI/WidgetPDial.cpp
     ../UI/WidgetMWSlider.cpp
+    ../UI/WidgetCheckButton.cpp
+    ../UI/WidgetSpinner.cpp
+    ../UI/YoshiWin.cpp
 )
 
 add_definitions (-DYOSHIMI_LV2_PLUGIN=1)
+add_definitions (-fvisibility=hidden)
 
 add_library (yoshimi_lv2 MODULE
             ${yoshimi_lv2_plugin_files}

=== debian/changelog ===
yoshimi (2.1.1.1~dfsg0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 11:14:21 -0500

yoshimi (2.1.1.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.1.1~dfsg0

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Oct 2021 23:43:13 +0200

yoshimi (2.1.1~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.1~dfsg0

  * autopkgtests
    + Fix superficial test
    + Add proper (non-trivial) test
  * Add salsa-ci configuration
  * Apply 'wrap-and-sort -ast'
  * Add myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Oct 2021 09:52:30 +0200

## yoshimi 2.1.2.2~dfsg0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 if (POLICY CMP0072)
     cmake_policy (SET CMP0072 OLD)
 endif ()
-set (CMAKE_CXX_STANDARD 11) # we seem to need both for
-add_definitions(-std=gnu++11) # various versions of cmake
+set (CMAKE_CXX_STANDARD 14) # we seem to need both for
+add_definitions(-std=gnu++14) # various versions of cmake
 
 add_definitions(-Wall)
 
@@ -41,7 +41,7 @@
 #add_definitions(-Wno-vla) # Nothing wrong with variable length arrays
 # ^^^ comment these out on release pushes
 
-set (YOSHIMI_VERSION "2.1.1.1")
+set (YOSHIMI_VERSION "2.1.2.2")
 
 add_definitions (-DMIN_CONFIG_MAJOR=2)
 add_definitions (-DMIN_CONFIG_MINOR=0)
@@ -139,13 +139,7 @@
 
 find_package (PkgConfig REQUIRED)
 
-include (CheckFunctionExists)
-
-check_function_exists(exp10f EXP10F)
-
-if (EXP10F)
-    add_definitions(-DHAVE_EXP10F)
-endif ()
+find_package(Threads REQUIRED)
 
 check_c_source_compiles (
     "#include <argp.h>
@@ -293,6 +287,7 @@
 set (Interface_Sources
     Interface/InterChange.cpp
     Interface/Data2Text.cpp
+    Interface/Text2Data.cpp
     Interface/MidiLearn.cpp
     Interface/MidiDecode.cpp
     Interface/RingBuffer.h
@@ -429,3 +424,6 @@
 )
 
 set(ExternLibraries
+    ${FONTCONFIG_LIBRARIES}
+    ${FLTK_LIBRARIES}
+    ${MXML_LIBRARIES}

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
     ../Interface/MidiDecode.cpp ../Interface/MidiDecode.h
     ../Interface/InterChange.cpp ../Interface/InterChange.h
     ../Interface/Data2Text.cpp ../Interface/Data2text.h
+    ../Interface/Text2Data.cpp ../Interface/Text2Data.h
     ../Interface/RingBuffer.h
     ../Interface/MidiLearn.cpp ../Interface/MidiLearn.h
     ../UI/MiscGui.cpp ../UI/MiscGui.h)

=== debian/changelog ===
yoshimi (2.1.2.2~dfsg0-1) unstable; urgency=medium

  * New upstream version 2.1.2.2~dfsg0
  * Update lintian-overrides
  * Fix spelling error
  * Fix d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 05 Dec 2021 00:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: yoshimi
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  dssi-dev,
  fluid,
  libasound2-dev,
@@ -27,7 +27,7 @@
  lv2-dev,
  pkg-config,
  sharutils,
- zlib1g-dev
+ zlib1g-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
@@ -39,7 +39,7 @@
 Depends:
  yoshimi-data (= ${source:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Recommends:
  jackd,
  yoshimi-doc,
@@ -54,9 +54,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
- yoshimi
+ yoshimi,
 Description: Presets for Yoshimi
  Yoshimi is a software synthesizer originally based on ZynAddSubFX2
  .
@@ -70,9 +70,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
- yoshimi
+ yoshimi,
 Description: Documentation for Yoshimi
  Yoshimi is a software synthesizer originally based on ZynAddSubFX2
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LV2_PATH = /usr/lib/lv2

%:
	dh $@ --sourcedirectory=src

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg0.*//,repacksuffix=~dfsg0" \
https://github.com/Yoshimi/yoshimi/tags .*/v?(\d[\d\.]+)\.tar\.gz
